function [x,y] = EntrerPoints()
    xmax=800;
    ymax=577;
    f=figure();
    xlim([0 xmax]);
    ylim([0 ymax]);
    
    %Partie pour charger une image en arrire plan
    %a = axes('Position',[0 0 1 1],'Units','Normalized');
    %imshow('fiat500.jpg','Parent',a);
    
    set(f,'WindowButtonDownFcn',@mytestcallback)
    x=[];
    y=[];
    waitfor(f); %On attend la fermeture de la fenetre pour terminer la fonction (et recuperer les donnes)
    
    e=sortrows([x',y'], 1);
    x = e(:,1);
    y = e(:,2);

    function mytestcallback(hObject,~)
        pos = get(gca, 'CurrentPoint');
        if (pos(1,1) <= xmax && pos(1,1)>=0 && pos(1,2) <=ymax && pos(1,2)>= 0)
            x = [x pos(1,1)];
            y = [y pos(1,2)];
            hold all;
            plot (pos(1,1),pos(1,2),'*');
        end
    end
end