function valeurs = ConstruireSplineF(x, y)
    
    NbPoints = numel(x);
    
    N1 = 0;
    N2 = 0;
    
    for i=1:NbPoints-1
        a(i) = (y(i+1) - y(i) - 0.5*N1*(x(i+1) - x(i))^2 - N2*(x(i+1) - x(i))) / (x(i+1) - x(i))^3;
        b(i) = 0.5*N1 - 3*a(i)*x(i);
        c(i) = 3*a(i)*x(i)^2 + N2 - N1*x(i);
        d(i) = y(i) - a(i)*x(i)^3 - b(i)*x(i)^2 - c(i)*x(i);
        
        N2 = 3*a(i)*x(i+1)^2 + 2*b(i)*x(i+1) + c(i);
        N1 = 6*a(i)*x(i+1) + 2*b(i);
    end
    
    for i=1:numel(x)-1
        if (i==1)
            j = 1 : floor(x(i+1));
        else
            j = floor(x(i)) : floor(x(i+1));
            
        end
        valeurs(j) = a(i)*(j).^3 + b(i)*(j).^2 + c(i)*(j) + d(i);
    end
end